package jfrace;

import java.io.BufferedReader;
import java.io.FileReader;
import java.lang.reflect.Method;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class TestAll extends TestCase {
    public TestAll(String name) {
        super(name);
    }

    public static Test suite() {
        TestSuite suite= new TestSuite();
        int count = 0;
        String line = null;
        try {
            FileReader fr = new FileReader("testingResources/testlist.txt");
            BufferedReader br = new BufferedReader(fr);
            int index;
            boolean result = true;
            Class[] noArgs = new Class[0];
            while (result && (line = br.readLine()) != null) {
                count++;
                if (line.length() > 0 && line.charAt(0) != '#') {
                    Class c = Class.forName(line);
                    Method m = c.getMethod("suite", noArgs);
                    suite.addTest((Test) m.invoke(null, noArgs));
                }
            }
            br.close();
        } catch (Exception e) {
            System.out.println("Error during reading the config file.");
            System.out.println(count + ":" + line);
            e.printStackTrace(System.out);
        }
        return suite;
    }
}
