package jfrace.device;

import jfrace.*;

public class MockDevice2 implements Device, AddressSpaceListener {
    public int numberOfReceivedEvents;
    public AddressSpace as;
    public String configResources;
    public String packagePrefix;
    public String[] args;

    public void reset() {}

    public int getNumberOfBits() {
        return 17;
    }

    public int getNumberOfUnits() {
        return 7;
    }

    public int getValue(int address) {
        return 11;
    }

    public void setValue(int address, int value) {}

    public byte getByte(int address) {
        return 11;
    }

    public void setByte(int address, byte value) {}

    public void hardwareMoved(AddressSpaceEvent event) {
        numberOfReceivedEvents++;
    }

    public void configurate(AddressSpace as, String configResources,
                            String prefix, String[] args) {
        this.as = as;
        this.configResources = configResources;
        packagePrefix = prefix;
        this.args = args;
    }
}
