package jfrace;

/**
 *  This exception will be thrown in the case of an overlap
 *  of the address bank of an added device
 *  with already existing address banks.
 *
 *  @author Franz-Josef Elmer
 */
public class AddressBankOverlapException extends Exception {
    public AddressBankOverlapException() {
        super();
    }

    public AddressBankOverlapException(String description) {
        super(description);
    }
}
