package jfrace;

public class MockAddressSpaceListener implements AddressSpaceListener {
    private AddressSpaceEvent lastEvent;
    private int eventCounter;

    public AddressSpaceEvent getLastEvent() {
        return lastEvent;
    }

    public int getEventCounter() {
        return eventCounter;
    }

    public void resetEventCounter() {
        eventCounter = 0;
    }

    public void hardwareMoved(AddressSpaceEvent event) {
        lastEvent = event;
        eventCounter++;
    }
}

