package jfrace.cpu;

import jfrace.*;

public class MockCPU implements CPU {
    private AddressSpace as;
    public String getName() {
        return "Mock CPU";
    }

    public int getNumberOfBits() {
        return 8;
    }

    public int getNumberOfRegisters() {
        return 0;
    }

    public Register getRegister(int index) {
        return null;
    }

    public Register getProgramCounter() {
        return null;
    }

    public void setRegisterValue(int index, int value) {}

    public void setAddressSpace(AddressSpace addressSpace) {
        as = addressSpace;
    }

    public void reset() {}

    public void interrupt(long interrupt) {}

    public String getErrorDescription() {
        return null;
    }

    public int next() {
        return 1;
    }

    public AddressSpace getAddressSpace() {
        return as;
    }

    public boolean supportsDisassembling() {
        return false;
    }

    public int disassemble(StringBuffer sb, int address) {
        return -1;
    }
}


